Last Comment Bug 717596 - GCLI: automatically added '}' is not displayed in this one place
: GCLI: automatically added '}' is not displayed in this one place
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: Firefox 12
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 693269
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-12 07:05 PST by Jason Orendorff [:jorendorff]
Modified: 2012-01-28 12:54 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jason Orendorff [:jorendorff] 2012-01-12 07:05:02 PST
When you type '{' in the new console, you automatically get a matching '}' in light gray. However if you type

  { 2 + 2

and then hit enter, what's echoed in the console is:

  { 2 + 2
  { 2 + 2 } ---> 4

It would be nicer to add the '}' on that first line.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-12 15:11:32 PST
My current plan is:

> { 2 + 2

Displays:

2 + 2
4

Just like the old web console. It's not like there is any confusion between JS and commands to a human.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-13 09:18:02 PST
Triage. Filter on PEGASUS.
Will be fixed in bug 693269
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-28 12:54:33 PST
Fixed in Bug 693269.

Note You need to log in before you can comment on or make changes to this bug.